﻿using System;
using System.Drawing;
using System.Windows.Forms;

namespace UsandoTreeView
{
    public partial class Form2 : Form
    {
        ImageList il = new ImageList();
        public Form2()
        {
            InitializeComponent();
        }

        private void Form2_Load(object sender, EventArgs e)
        {
            // Seleciona icones em um componente image list
            il.Images.Add(new Icon("\\dados\\Imagens\\Camel.ico"));
            il.Images.Add(new Icon("\\dados\\Imagens\\Bunny.ico"));
            il.Images.Add(new Icon("\\dados\\Imagens\\Critter.ico"));
            il.Images.Add(new Icon("\\dados\\Imagens\\Mouse.ico"));
            treeView1.ImageList = il;

            // Cria o Nó Raiz (RootNode)
            TreeNode rootNode = treeView1.Nodes.Add("Brasil");
            rootNode.ImageIndex = 0;

            // Cria os nós filhos para o raiz
            TreeNode states1 = rootNode.Nodes.Add("São Paulo");
            states1.ImageIndex = 1;
            TreeNode states2 = rootNode.Nodes.Add("Goiás");
            states2.ImageIndex = 1;
            TreeNode states3 = rootNode.Nodes.Add("Rio de Janeiro");
            states3.ImageIndex = 1;
            TreeNode states4 = rootNode.Nodes.Add("Minas Gerais");
            states4.ImageIndex = 1;

            // Cria os nos descendentes para os nós filhos
            TreeNode child = states1.Nodes.Add("Campinas");
            child.ImageIndex = 2;
            child = states1.Nodes.Add("Jundiai");
            child.ImageIndex = 2;
            child = states1.Nodes.Add("Americana");
            child.ImageIndex = 2;

            child = states2.Nodes.Add("Luziânia");
            child.ImageIndex = 2;
            child = states2.Nodes.Add("Catalão");
            child.ImageIndex = 2;
            child = states2.Nodes.Add("Campo Bom");
            child.ImageIndex = 2;

            child = states3.Nodes.Add("Volta Redonda");
            child.ImageIndex = 2;
            child = states3.Nodes.Add("Campos");
            child.ImageIndex = 2;
            child = states3.Nodes.Add("Cabo Frio");
            child.ImageIndex = 2;

            child = states4.Nodes.Add("Frutal");
            child.ImageIndex = 2;
            child = states4.Nodes.Add("Itapagipe");
            child.ImageIndex = 2;
            child = states4.Nodes.Add("Uberaba");
            child.ImageIndex = 2;
        }
    }
}
